<?xml version="1.0"?>
<block>
  <name>Radar Detector</name>
  <key>marmote3_radar_detector</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.radar_detector($vlen, $alpha, $power, $min_count, $max_report, $debug)
self.$(id).register_monitor(getattr(self, 'modem_monitor', marmote3.modem_monitor_sptr()))</make>
  <param>
    <name>Vector Length</name>
    <key>vlen</key>
    <value>256</value>
    <type>int</type>
  </param>
  <param>
    <name>Averaging Alpha</name>
    <key>alpha</key>
    <value>0.1</value>
    <type>float</type>
  </param>
  <param>
    <name>Pulse Power</name>
    <key>power</key>
    <value>50.0</value>
    <type>float</type>
  </param>
  <param>
    <name>Minimum Count</name>
    <key>min_count</key>
    <value>10</value>
    <type>int</type>
  </param>
  <param>
    <name>Maximum Report</name>
    <key>max_report</key>
    <value>5000</value>
    <type>int</type>
  </param>
	<param>
		<name>Debug</name>
		<key>debug</key>
		<type>enum</type>
		<option>
			<name>False</name>
			<key>False</key>
		</option>
		<option>
			<name>True</name>
			<key>True</key>
		</option>
	</param>
  <sink>
    <name>in</name>
    <type>float</type>
    <vlen>$vlen</vlen>
  </sink>
</block>
